# Class DateFormatPatterns

java.lang.Object
com.codename1.l10n.DateFormatPatterns

public class DateFormatPatterns extends Object
Common patterns for dates, times, and timestamps.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ISO8601`
  Pattern for parsing/formatting ISO8601 timestamp.
  `static final String`
  `RFC2822`
  Pattern for parsing/formatting RFC-2822 timestamp.
  `static final String`
  `RFC822`
  Pattern for parsing/formatting RFC-822 timestamp.
  `static final String`
  `TWITTER_SEARCH`
  Pattern for parsing/formatting Twitter search timestamp.
  `static final String`
  `TWITTER_TIMELINE`
  Pattern for parsing/formatting Twitter timeline timestamp.
  `static final String`
  `VERBOSE_DATE`
  Pattern for a verbose date
  `static final String`
  `VERBOSE_TIME`
  Pattern for a verbose time
  `static final String`
  `VERBOSE_TIMESTAMP`
  Pattern for a verbose timestamp

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DateFormatPatterns()`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RFC2822

    public static final String RFC2822
    Pattern for parsing/formatting RFC-2822 timestamp.
    See Also:
      - Constant Field Values

  - ### RFC822

    public static final String RFC822
    Pattern for parsing/formatting RFC-822 timestamp.
    See Also:
      - Constant Field Values

  - ### ISO8601

    public static final String ISO8601
    Pattern for parsing/formatting ISO8601 timestamp.
    See Also:
      - Constant Field Values

  - ### TWITTER_TIMELINE

    public static final String TWITTER_TIMELINE
    Pattern for parsing/formatting Twitter timeline timestamp.
    See Also:
      - Constant Field Values

  - ### TWITTER_SEARCH

    public static final String TWITTER_SEARCH
    Pattern for parsing/formatting Twitter search timestamp.
    See Also:
      - Constant Field Values

  - ### VERBOSE_DATE

    public static final String VERBOSE_DATE
    Pattern for a verbose date
    See Also:
      - Constant Field Values

  - ### VERBOSE_TIME

    public static final String VERBOSE_TIME
    Pattern for a verbose time
    See Also:
      - Constant Field Values

  - ### VERBOSE_TIMESTAMP

    public static final String VERBOSE_TIMESTAMP
    Pattern for a verbose timestamp
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DateFormatPatterns

    public DateFormatPatterns()